Index: trunk/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1314)
+++ trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1321)
@@ -1429,14 +1340,5 @@
 
     case NAL_UNIT_EOS:
-#if NH_MV
-      assert( m_isLastNALWasEos == false );
-      //Check layer id of the nalu. if it is not 0, give a warning message and just return without doing anything.
-      if (nalu.m_nuhLayerId > 0)
-      {
-        printf( "\nThis bitstream has EOS with non-zero layer id.\n" );
-        return false;
-      }
-      m_isLastNALWasEos = true;
-#endif
+#if !NH_MV
       m_associatedIRAPType = NAL_UNIT_INVALID;
       m_pocCRA = 0;
@@ -1445,4 +1347,5 @@
       m_prevSliceSkipped = false;
       m_skippedPOC = 0;
+#endif
       return false;
 
@@ -1465,7 +1368,4 @@
         fdReader.parseFillerData(&(nalu.getBitstream()),size);
         printf ("Note: found NAL_UNIT_FILLER_DATA with %u bytes payload.\n", size);
-#if NH_MV
-      assert( m_isLastNALWasEos == false );
-#endif
       return false;
       }
@@ -1528,4 +1428,5 @@
 }
 
+#if !NH_MV
 /** Function for checking if picture should be skipped because of association with a previous BLA picture
  * \param iPOCLastDisplay POC of last picture displayed
@@ -1558,9 +1459,5 @@
  * access point there is no guarantee that the decoder will not crash.
  */
-#if NH_MV
-Bool TDecTop::isRandomAccessSkipPicture(Int& iSkipFrame,  Int& iPOCLastDisplay, const TComVPS* vps)
-#else
 Bool TDecTop::isRandomAccessSkipPicture(Int& iSkipFrame,  Int& iPOCLastDisplay )
-#endif
 {
   if (iSkipFrame)
@@ -1569,9 +1466,5 @@
     return true;
   }
-#if NH_MV
-  else if ( !m_layerInitilizedFlag[ m_layerId ] ) // start of random access point, m_pocRandomAccess has not been set yet.
-#else
   else if (m_pocRandomAccess == MAX_INT) // start of random access point, m_pocRandomAccess has not been set yet.
-#endif
   {
     if (   m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA
@@ -1581,56 +1474,13 @@
     {
 
-#if NH_MV
-      if ( xAllRefLayersInitilized( vps ) )
-      {
-        m_layerInitilizedFlag[ m_layerId ] = true; 
-        m_pocRandomAccess = m_apcSlicePilot->getPOC();
-      }
-      else
-      {
-        return true; 
-      }
-#else
       // set the POC random access since we need to skip the reordered pictures in the case of CRA/CRANT/BLA/BLANT.
       m_pocRandomAccess = m_apcSlicePilot->getPOC();
-#endif
     }
     else if ( m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || m_apcSlicePilot->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP )
     {
-#if NH_MV
-      if ( xAllRefLayersInitilized( vps) )
-      {
-        m_layerInitilizedFlag[ m_layerId ] = true; 
-        m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
-      }
-      else 
-      {
-        return true; 
-      }
-#else
       m_pocRandomAccess = -MAX_INT; // no need to skip the reordered pictures in IDR, they are decodable.
-#endif
     }
     else
     {
-#if NH_MV
-      static Bool warningMessage[MAX_NUM_LAYERS];
-      static Bool warningInitFlag = false;
-      
-      if (!warningInitFlag)
-      {
-        for ( Int i = 0; i < MAX_NUM_LAYERS; i++)
-        {
-          warningMessage[i] = true; 
-        }
-        warningInitFlag = true; 
-      }
-
-      if ( warningMessage[getLayerId()] )
-      {
-        printf("\nLayer%3d   No valid random access point. VCL NAL units of this layer are discarded until next layer initialization picture. ", getLayerId() ); 
-        warningMessage[m_layerId] = false; 
-      }
-#else
       if(!m_warningMessageSkipPicture)
       {
@@ -1638,5 +1488,4 @@
         m_warningMessageSkipPicture = true;
       }
-#endif
       return true;
     }
